### registered_buffer_id

Type used to identify a registered buffer.

    class registered_buffer_id

##### Types

Name | Description
--- | ---
native_handle_type | The native buffer identifier type.

##### Member Functions

Name | Description
--- | ---
native_handle | Get the native buffer identifier type.
registered_buffer_id [constructor] | Default constructor creates an invalid registered buffer identifier.

##### Friends

Name | Description
--- | ---
operator!= | Compare two IDs for equality.
operator== | Compare two IDs for equality.

##### Requirements

Header: `asio/registered_buffer.hpp`

Convenience header: `asio.hpp`